Bug 197644 - ncmpc - switch from bg to fg - segfault
ncmpc - switch from bg to fg - segfault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ncmpc (Show other bugs)
5
i386 Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-05 04:28 EDT by Jan Beranek
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-02 18:03:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
coredump (464.00 KB, application/octet-stream)
2006-07-05 13:26 EDT, Jan Beranek
no flags Details

  None (edit)
Description Jan Beranek 2006-07-05 04:28:16 EDT
Description of problem:
When I execute ncmpc to background and I want it switch to foreground. I got
Segmentation fault.

Version-Release number of selected component (if applicable):
0.11.1

How reproducible:
every time

Steps to Reproduce:
1. $ ncmpc &
   [1] 17427
2. $ fg 1

  
Actual results:


Expected results:


Additional info:
Comment 1 Andreas Bierfert 2006-07-05 08:38:29 EDT
Could you provide me with a coredump/strace (please install the debug package
for that)

Thanks
Comment 2 Jan Beranek 2006-07-05 13:26:18 EDT
Created attachment 131947 [details]
coredump
Comment 3 Andreas Bierfert 2007-05-02 18:03:25 EDT
I recently have looked into this again. Though ncmpcs behavoir is not nice
putting it in the background at starting time is not a thing you usually do.
Ctrl+Z and an bg/fg works just fine which is something I could understand. 

Nevertheless if a patch turns up for this I am sure willing to upgrade but
upstream is dead. I will close this as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.